(import-macros {: set! : exec!} :hibiscus.vim)

(local espresso (require :catppuccin))

(local color_overrides
	{ :macchiato
		{ :rosewater :#F5B8AB
          :flamingo  :#F29D9D
          :pink      :#AD6FF7
          :mauve     :#FF8F40
          :red       :#E66767
          :maroon    :#EB788B
          :peach     :#FAB770
          :yellow    :#FACA64
          :green     :#70CF67
          :teal      :#4CD4BD
          :sky       :#61BDFF
          :sapphire  :#4BA8FA
          :blue      :#00BFFF
          :lavender  :#00BBCC
          :text      :#C1C9E6
          :subtext1  :#A3AAC2
          :subtext0  :#8E94AB
          :overlay2  :#7D8296
          :overlay1  :#676B80
          :overlay0  :#464957
          :surface2  :#3A3D4A
          :surface1  :#2F313D
          :surface0  :#1D1E29
          :base      :#0b0b0b
          :mantle    :#11111a
          :crust     :#191926 } })

(local integrations
	{ :cmp true
	  :gitsigns true
	  :treesitter true

	  :telescope
	      { :enabled true
		    :style :nvchad }

	  :mini
	      { :enabled true} })


(espresso.setup
	{ :flavour :macchiato
	  :color_overrides color_overrides
	  :integrations integrations })


(set! background :dark)
(exec! [colorscheme catppuccin])



; (local highlight_overrides
; 	{ :all
; 	      (fn [colors]
;               :CurSearch { :bg colors.sky }
;               :IncSearch { :bg colors.sky }
;               :CursorLineNr { :fg colors.blue :style [:bold] }
;               :DashboardFooter { :fg colors.overlay0 }
;               :TreesitterContextBottom { :style {} }
;               :WinSeparator { :fg colors.overlay0 :style [:bold] }
;               :Headline { :style [:bold] }
;               :Headline1 { :fg colors.blue :style [:bold] }
;               :Headline2 { :fg colors.pink :style [:bold] }
;               :Headline3 { :fg colors.lavender :style [:bold] }
;               :Headline4 { :fg colors.green :style [:bold] }
;               :Headline5 { :fg colors.peach :style [:bold] }
;               :Headline6 { :fg colors.flamingo :style [:bold] }
;               :rainbow1 { :fg colors.blue :style [:bold] }
;               :rainbow2 { :fg colors.pink :style [:bold] }
;               :rainbow3 { :fg colors.lavender :style [:bold] }
;               :rainbow4 { :fg colors.green :style [:bold] }
;               :rainbow5 { :fg colors.peach :style [:bold] }
;               :rainbow6 { :fg colors.flamingo :style [:bold] }
;               "@markup.italic" { :fg colors.blue :style [:italic] }
;               "@markup.strong" { :fg colors.blue :style [:bold] } )})
